Bug 198100 - RFE: Autorelabel
RFE: Autorelabel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-09 13:07 EDT by Chitlesh GOORAH
Modified: 2014-03-16 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 15:58:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-07-09 13:07:02 EDT
Description of problem:
Hello, Im building livecd with kadischi, and autorelabel isn't a feature we
really need. Everytime during the boot proccess, there is an error saying cannot
touch /.autorelabel.

Can you replace line 433 by
[ -f /.autorelabel ] || touch /.autorelabel 2> /dev/null


Version-Release number of selected component (if applicable):
initscripts-8.31.5-1

How reproducible:
Everytime

Steps to Reproduce:
1. build a livecd with kadischi
2. burn the livecd
3. run the livecd
  
Actual results:
cannot touch /.autorelabel

Expected results:


Additional info:
Comment 1 Bill Nottingham 2006-07-10 15:58:49 EDT
This is already handled in rawhide by checking the READONLY variable - this
should be enough for kadischi.

Note You need to log in before you can comment on or make changes to this bug.